.joke-item {
  position: relative;
  margin-bottom: 20px;
  padding: 15px 45px;
  background-color: #fff;
  color: $text-colour;
  border-radius: 10px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
  transition: box-shadow 400ms, opacity 400ms ease-in 500ms;
  opacity: 0.75;

  .toggle-favourite {
    position: absolute;
    right: 5px;
    top: calc(50% - 12px);
    background: none;
    border: none;

    svg {
      fill: #ecf0f1;
      stroke: #ecf0f1;
      stroke-width: 2px;
      transition: fill 400ms;

      &:hover {
        cursor: pointer;
      }
    }

    &.active {
      svg {
        fill: #c0392b;
      }
    }

    &:focus {
      outline: none;
    }
  }

  &:hover {
    opacity: 0.9;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23);
  }

  &.fade-enter {
    max-height: 0;
    margin: 0;
    padding: 0;
    opacity: 0;
    transition: all 400ms;
  }

  &.fade-enter-done {
    max-height: 500px;
    margin-bottom: 20px;
    padding: 15px 45px;
    opacity: 0.75;
    transition: all 500ms;
  }

  &.fade-exit,
  &.fade-exit-done {
    max-height: 0;
    margin: 0;
    padding: 0;
    opacity: 0;
    transition: all 200ms;
  }
}
